int m1 = 4;
int m2 = 3;
int h1 = 7;
int h2 = 6;
int h3 = 5;
#include <SoftwareSerial.h>

SoftwareSerial mySerial(10, 11); // RX, TX
#include "thermistor.h"
#include "HardwareSerial.h"


// Analog pin used to read the NTC
#define NTC_PIN               A0

// Thermistor object
THERMISTOR thermistor(NTC_PIN,        // Analog pin
                      10000,          // Nominal resistance at 25 ºC
                      3950,           // thermistor's beta coefficient
                      10000);         // Value of the series resistor

// Global temperature reading
uint16_t temp;

void setup()
{
  Serial.begin(9600);
  mySerial.begin(9600);
  for(int i=3;i<8;i++)
  {
    pinMode(i, OUTPUT);
  }
  
}


void loop()
{
 
  digitalWrite(4,HIGH);
  digitalWrite(3,LOW);
  digitalWrite(h1,HIGH);
  digitalWrite(h2,HIGH);
  digitalWrite(h3,HIGH);

  temp = thermistor.read();   // Read temperature

  Serial.print("Temp in 1/10 ºC : ");
  Serial.println(temp);
  mySerial.print("Temp in 1/10 ºC : ");
  mySerial.println(temp);

  //delay(5000);
}

